ByCloud Docs
GuidesCLIAPISDK
get/v1/routers/{router_id}

Get router

Get details of a specific router

Path Parameters

router_id

string<uuid>required

path

Router ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Router details

Content-Type: application/json

router

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/routers/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Router details

{
"router": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:network:router:550e8400-e29b-41d4-a716-446655440000",
"name": "main-router",
"description": "string",
"status": "ACTIVE",
"external_gateway_info": {
"network_id": "550e8400-e29b-41d4-a716-446655440000",
"enable_snat": true,
"external_fixed_ips": [
{
"subnet_id": "550e8400-e29b-41d4-a716-446655440000",
"ip_address": "string"
}
]
},
"routes": [
{
"destination": "10.0.0.0/8",
"nexthop": "192.168.1.1"
}
],
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}